Package Gnumed :: Package pycommon :: Module gmScriptingListener :: Class cScriptingListener |
[frames] | no frames]

# Class cScriptingListener

source code

This class handles how GNUmed listens for external requests.

It starts an XML-RPC server and forks a thread which listens for incoming requests. Those requests are then handed over to a macro executor and the results handed back to the caller.

Instance Methods
__init__(self, port=None, macro_executor=None, poll_interval=3) | source code
shutdown(self) Cleanly shut down. | source code

Method Details

### shutdown(self) | source code
Cleanly shut down. Complement to __init__().